Read a webhook endpoint
curl --request GET \
--url https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/control/v1/workspaces/{workspace_slug}/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"enabled_events": [
"action.requires_approval"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"message": "<string>",
"code": "runtime_key_required"
}
}Read a webhook endpoint
GET
/
control
/
v1
/
workspaces
/
{workspace_slug}
/
webhook_endpoints
/
{id}
Read a webhook endpoint
Authorizations
An identity bearer token for a person or your backend. Capabilities are per member, per workspace. This credential can manage the workspace and can never authorize an action as an agent.
Response
The endpoint.
Show child attributes
Show child attributes